# $Revision: 1.23 $, $Date: 2002/11/05 00:11:23 $
Summary:	Network audit tools
Summary(pl):	Narzdzia do kontroli sieci
Name:		dsniff
Version:	2.3
Release:	8
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.monkey.org/~dugsong/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-slist.patch
Patch1:		%{name}-headers.patch
Patch2:		%{name}-ac.patch
#ggsniff 1.2 from http://ggsniff.sourceforge.net/
Patch3:		%{name}-gg.patch
URL:		http://www.monkey.org/~dugsong/
BuildRequires:	XFree86-devel
BuildRequires:	libpcap-devel
BuildRequires:	libnids-devel
BuildRequires:	libnet-devel
BuildRequires:	glibc-static
BuildRequires:	openssl-devel >= 0.9.6a
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools to audit network and to demonstrate the insecurity of cleartext
network protocols. Please do not abuse this software.

%description -l pl
Narzdzia do kontroli sieci oraz demonstracji braku zabezpiecze w
nieszyfrowanych protokoach sieciowych. Prosz nie naduywa tego
oprogramowania.

%package webspy
Summary:	Network audit tools
Summary(pl):	Narzdzia do kontroli sieci
Group:		Networking/Utilities
Requires:	%{name} = %{version}
Requires:	netscape-navigator

%description webspy
webspy sends URLs sniffed from a client to your local Netscape browser
for display, updated in real-time (as the target surfs, your browser
surfs along with them, automagically). Netscape must be running on
your local X display ahead of time.

%description webspy -l pl
webspy przesya podsuchane URLe do wywietlenia w lokalnie
uruchomionej przegldarce Netscape Navigator. Adresy s uaktualniane
na bieco (a wic przegldasz strony rwnolegle z podsuchiwanym).
Netscape musi by wczeniej uruchomiony na lokalnym serwerze X.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__autoheader}
%{__aclocal}
%{__autoconf}
CFLAGS="%{rpmcflags} -I./missing"
%configure \
	--libdir=%{_datadir}/%{name}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	install_prefix=$RPM_BUILD_ROOT

gzip -9nf README*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_sbindir}/[a-u]*
%attr(755,root,root) %{_sbindir}/webmitm
%{_datadir}/%{name}
%{_mandir}/man8/[a-u]*
%{_mandir}/man8/webmitm*

%files webspy
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/webspy
%{_mandir}/man8/webspy*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dsniff.spec,v $
Revision 1.23  2002/11/05 00:11:23  areq
- update ggsniff patch 1.2
- release 8

Revision 1.22  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.21  2002/09/11 22:31:58  mick3y
- added GG messages sniff support

Revision 1.20  2002/08/04 15:19:21  areq
- Release 6, STBR
- add ac.pach - remove LIBOBJS

Revision 1.19  2002/05/21 23:12:57  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/04/25 16:13:52  arturs
fixed a small typo

Revision 1.17  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:12:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/10/10 18:40:15  qboosh
- s/bierzc/biec/ in pl descriptions

Revision 1.14  2001/10/03 14:59:07  qboosh
- BuildRequires: autoconf, automake

Revision 1.13  2001/08/20 09:11:04  agaran
ac25 ready

Revision 1.12  2001/07/23 09:29:33  kloczek
- release 5.

Revision 1.11  2001/07/20 10:10:25  migo
- fixed pl description: "-l -l" to "-l pl"
- added pl description do webspy
- webspy requires netscape-navigator

Revision 1.10  2001/05/10 13:46:03  misiek
fixed (removed all etc references)

Revision 1.9  2001/05/10 07:57:37  misiek
there was no etc patch

Revision 1.8  2001/05/10 07:41:13  misiek
- BuildRequires:	openssl-devel >= 0.9.6a
- release 3

Revision 1.7  2001/04/13 06:06:45  kloczek
- release 3: added using %%{rpmcflags} macro.

Revision 1.6  2001/04/11 21:54:02  misiek
removed duplicate buildrequires

Revision 1.5  2000/12/29 15:30:58  kloczek
- spec adapterized.

Revision 1.4  2000/12/28 14:57:00  baggins
- release 2
- moved webspy to a separate package (X11 dependency, ugh)
- buildrequires glibc-static

Revision 1.3  2000/12/20 23:16:28  misiek
updated to 2.3 version

Revision 1.2  2000/11/20 22:36:43  misiek
full source0 url

Revision 1.1  2000/11/20 12:53:53  baggins
- initial revision
